#include <iostream>
#include <algorithm>
#include <string>

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(NULL);

	std::string niz[3];
	for (int i = 0; i < 3; i++)
		std::cin >> niz[i];
	std::sort(std::begin(niz), std::end(niz));
	for (int i = 2; i >= 0; i--)
		std::cout << niz[i];
}